Appearance
DID Parameter: versionId
A request for a DID URL with this parameter will retrieve the specific version 160204 of the DID document:
did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionId=160204
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionId=160204" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: application/did"1
2
3
2
3
A request for a DID URL with this parameter will retrieve the specific version 160351 of the DID document:
did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionId=160351
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionId=160351" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: application/did"1
2
3
2
3
NOTE
The versionId parameter is not supported for all DID methods, and the format and meaning of its values are specific to the DID method.
TIP
See the DID Core specification for additional information about this parameter.